"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Site {
    /**
     * Returns true if this site supports the incoming URI
     *
     * @param  {string}  uri The URI to test
     * @return {boolean}     true if this Site supports the URI, false otherwise
     */
    static isSite(uri) {
        /*
         * interfaces can not have static methods.
         * abstract classes can't have static abstract methods.
         * so, we're left with creating the method, but throwing an error
         * until the subsclass overrides it.
         */
        throw new Error('implement me!');
    }
}
exports.default = Site;
