"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("../logger"));
const siteUtils = __importStar(require("../site-utils"));
class HomeDepot {
    uri;
    constructor(uri) {
        this.uri = uri;
        // error check to make sure this is a valid uri for Home Depot
        if (!HomeDepot.isSite(uri)) {
            throw new Error(`invalid uri for Home Depot: ${uri}`);
        }
    }
    getURIForPageData() {
        return this.uri;
    }
    findPriceOnPage($) {
        // find the price on the page
        const selectors = ['.price-format__main-price'];
        // find the price on the page
        const priceString = siteUtils.findContentOnPage($, selectors);
        // were we successful?
        if (!priceString) {
            // logger.error($('body').text().trim());
            logger_1.default.error('price not found on Home Depot page, uri: %s', this.uri);
            return -1;
        }
        // process the price string
        const price = siteUtils.processPrice(priceString);
        // return price;
        return price;
    }
    static isSite(uri) {
        if (uri.indexOf('www.homedepot.com') > -1) {
            return true;
        }
        else {
            return false;
        }
    }
}
exports.default = HomeDepot;
module.exports = HomeDepot;
